Get all Transcripts
curl --request GET \
--url https://api.affinity.co/v2/transcripts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/transcripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"note": {
"id": 742,
"type": "ai-notetaker",
"content": {
"html": "<p> Sarah reviews the company's ARR growth trajectory with Alex. The team discusses expansion revenue drivers and the path to Series B. </p>"
},
"creator": {
"id": 8,
"firstName": "Sarah",
"lastName": "Park",
"primaryEmailAddress": "sarah.park@horizontech.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 1,
"createdAt": "2023-01-01T00:00:20Z",
"updatedAt": "2023-01-21T00:01:00Z"
},
"languageCode": "en",
"createdAt": "2023-01-01T00:00:23Z"
},
{
"id": 2,
"note": {
"id": 844,
"type": "ai-notetaker",
"content": {
"html": "<p> Daniel and the founder discuss due diligence findings from the technical review. The team aligns on next steps before the term sheet is finalized. </p>"
},
"creator": {
"id": 10,
"firstName": "Daniel",
"lastName": "Kim",
"primaryEmailAddress": "d.kim@northpointvc.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 2,
"createdAt": "2023-02-01T00:00:00Z",
"updatedAt": "2023-02-21T00:00:00Z"
},
"languageCode": "en",
"createdAt": "2023-02-01T00:00:35Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/transcripts?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Transcripts
Get all Transcripts
Paginate through all transcripts and return basic metadata only. Use the single transcript endpoint to fetch the entire transcript data. Will only return transcripts that the current authenticated user has permission to see.
You can filter transcripts using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int32 | = | id=1 |
createdAt | datetime | >, <, >=, <= | createdAt<2025-02-04T10:48:24Z |
GET
/
v2
/
transcripts
Get all Transcripts
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Include total count of the collection in the pagination response
Cursor for the next or previous page
Number of items to include in the page
Required range:
0 <= x <= 100Filter options
Was this page helpful?